Face List - Update
Update information of a face list.
PATCH {Endpoint}/face/v1.0/facelists/{faceListId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
Endpoint
|
path | True |
string |
Supported Cognitive Services endpoints (protocol and hostname, for example: https://westus.api.cognitive.microsoft.com). |
|
face
|
path | True |
string maxLength: 64pattern: ^[a-z0-9-_]+$ |
Id referencing a particular face list. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Ocp-Apim-Subscription-Key | True |
string |
Request Body
| Name | Type | Description |
|---|---|---|
| name |
string maxLength: 128 |
User defined name, maximum length is 128. |
| userData |
string maxLength: 16384 |
User specified data. Length should not exceed 16KB. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
A successful call returns an empty response body. |
|
| Other Status Codes |
Error response. |
Security
Ocp-Apim-Subscription-Key
Type:
apiKey
In:
header
Examples
Update face list example
Sample request
PATCH {Endpoint}/face/v1.0/facelists/sample_face_list
{
"name": "list1",
"userData": "User-provided data attached to the face list."
}
Sample response
Definitions
| Name | Description |
|---|---|
| APIError |
Error information returned by the API |
| Error |
Error body. |
|
Name |
A combination of user defined name and user specified data for the person, largePersonGroup/personGroup, and largeFaceList/faceList. |
APIError
Error information returned by the API
| Name | Type | Description |
|---|---|---|
| error |
Error body. |
Error
Error body.
| Name | Type | Description |
|---|---|---|
| code |
string |
|
| message |
string |
NameAndUserDataContract
A combination of user defined name and user specified data for the person, largePersonGroup/personGroup, and largeFaceList/faceList.
| Name | Type | Description |
|---|---|---|
| name |
string maxLength: 128 |
User defined name, maximum length is 128. |
| userData |
string maxLength: 16384 |
User specified data. Length should not exceed 16KB. |